#include<bits/stdc++.h>
using namespace std;
int n,m[1000005],q,a,b,br;
int main(){
   scanf("%d",&n);
   for(int i=1;i<=n;i++){
      scanf("%d",&m[i]);
   }
   scanf("%d",&q);
   for(int i=1;i<=q;i++){
      scanf("%d",&a);
      scanf("%d",&b);
      br=0;
      for(int j=a;j<=b-1;j++){
         if(m[j]>m[j+1]){
               br++;
            if(m[j]==m[j-1]){
               printf("NE\n");
               br++;
               break;
            }
            if(br>1){
               printf("NE\n");
               break;
            }
         }
      }
      if(br<2){
         printf("DA\n");
      }
   }
return 0;
}
/*
#include<bits/stdc++.h>
using namespace std;
int n,m[1000005],q,a,b,br,k,g;
int main(){
   cin>>n;
   for(int i=1;i<=n;i++){
      cin>>m[i];
   }
   cin>>q;
   for(int i=1;i<=q;i++){
      cin>>a>>b;
      br=0;
      k=0;
      g=0;
      for(int j=a;j<=b-1;j++){
         if(m[j]>m[j+1]){
            br++;
            if(br>1){
               cout<<"NE"<<endl;
               break;
            }
         }
      }
      if(br<2){
         cout<<"DA"<<endl;
      }
   }
return 0;
}
*/